
function admin_tareas()

actual=1
adminimg=image.load("SYSTEM/administrador/adminimg.png")


while true do
controls.read()
img_escritorio[fondo_escritorio]:blend(0,0,200)
adminimg:blit(0,0)


screen.print(100,80,"Tareas de PSP Explorer",0.9,blanco,azul)

for i=1,3 do
	if rutinas[i].p!="" then 
		if actual==i then 
			screen.print(120,100+i*15,i..". "..rutinas[i].p,0.7,azul,0) 
		else 
			screen.print(120,100+i*15,i..". "..rutinas[i].p,0.7,rojo,0) 
		end 
	end
end

screen.print(100,180,"Rendimiento: "..screen.fps()/120*100 .. "%",0.9,blanco,azul)

screen.print(100,200,"Cuadrado: Borrar tarea",0.6,negro,0)
screen.print(100,215,"X: Iniciar tarea",0.6,negro,0)
screen.print(100,230,"O: Salir",0.6,negro,0)
screen.print(100,245,"L: Ejecutar consola",0.6,negro,0)

if controls.press("circle") then break end

if controls.press("down") then actual=actual+1 end
if controls.press("up") then actual=actual-1 end
if actual>3 then actual=1 elseif actual<1 then actual=3 end

if rutinas[actual].p=="" then actual=1 end

if controls.press("square") then
	if actual==3 then rutinas[3].p="" end
	if actual==2 then rutinas[2].p=rutinas[3].p rutinas[3].p="" end
	if actual==1 then rutinas[1].p=rutinas[2].p rutinas[2].p=rutinas[3].p rutinas[3].p="" end
end

for i=1,3 do
if rutinas[i].p!="" then 
	if controls.press("cross") and actual==i then
		if rutinas[i].p=="Visor de imágenes" then visor(true) end
		if rutinas[i].p=="Reproductor" then reproductor(true) end
		if rutinas[i].p=="Paint" then editor_paint() end
		if rutinas[i].p=="NotepadCode" then editor(true) end
		if rutinas[i].p=="CalculaPSP" then calculapsp() end
		if rutinas[i].p=="GoCam" then GOCAM() end
		if rutinas[i].p=="Agenda" then agenda() end
		if rutinas[i].p=="Power Point" then powerpoint(true) end
		if rutinas[i].p=="Actualizar" then actualizar() end
		if rutinas[i].p=="WiFi Utilities" then WiFi() end
		if rutinas[i].p=="Calendario" then calendario(true) end
		if rutinas[i].p=="PlayList" then playlist_f() end
	end
end
end




if controls.press("l") then
	if keyboard==1 then 
		code=teclado(1,"Consola PSP Explorer",30,"") 
	else 
		code=os.osk("Consola PSP Explorer","",30,1,0) 
	end 
	consola_ejecutar()
end

screen.flip()

end


end

